DRM_PCI_INIT(9)

NAME
drm_pci_init - Register matching PCI devices with the DRM subsystem

SYNOPSIS

int drm_pci_init(struct drm_driver * driver, struct pci_driver * pdriver);

ARGUMENTS

driver
    DRM device driver

pdriver
    PCI device driver

DESCRIPTION

Initializes a drm_device structures, registering the stubs and initializing the AGP device.

RETURN

0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT